org.sqlite

## Class SQLiteJDBCLoader

- java.lang.Object
- - org.sqlite.SQLiteJDBCLoader

    public class SQLiteJDBCLoader
    extends Object

Set the system properties, org.sqlite.lib.path, org.sqlite.lib.name, appropriately so that the SQLite JDBC driver can find *.dll, *.jnilib and *.so files, according to the current OS (win, linux, mac).

The library files are automatically extracted from this project's package (JAR).

usage: call `initialize()` before using SQLite JDBC driver.

Author:
  leo

### Constructor Summary

Constructors
Constructor and Description
`SQLiteJDBCLoader()`

### Method Summary

Methods
`static int` `getMajorVersion()`
`static int` `getMinorVersion()`
`static String` `getVersion()`
`static boolean` `initialize()` Loads SQLite native JDBC library.
`static boolean` `isNativeMode()` Checks if the SQLite JDBC driver is set to native mode.
`static boolean` `isPureJavaMode()` Deprecated. Pure Java nolonger supported

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLiteJDBCLoader

    public SQLiteJDBCLoader()

### Method Detail

#### initialize

    public static boolean initialize()
                              throws Exception

Loads SQLite native JDBC library.

Returns:
  True if SQLite native library is successfully loaded; false otherwise.
Throws:
  `Exception`

#### isPureJavaMode

    public static boolean isPureJavaMode()

Deprecated. Pure Java nolonger supported
Checks if the SQLite JDBC driver is set to pure Java mode.

Returns:
  True if the SQLite JDBC driver is set to pure Java mode; false otherwise.

#### isNativeMode

    public static boolean isNativeMode()
                                throws Exception

Checks if the SQLite JDBC driver is set to native mode.

Returns:
  True if the SQLite JDBC driver is set to native Java mode; false otherwise.
Throws:
  `Exception`

#### getMajorVersion

    public static int getMajorVersion()

Returns:
  The major version of the SQLite JDBC driver.

#### getMinorVersion

    public static int getMinorVersion()

Returns:
  The minor version of the SQLite JDBC driver.

#### getVersion

    public static String getVersion()

Returns:
  The version of the SQLite JDBC driver.